Build Melhor Envio OAuth authorize URL
curl --request GET \
--url https://api-global.fastpaybrasil.com/v1/melhor-envio/oauth/authorize \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-global.fastpaybrasil.com/v1/melhor-envio/oauth/authorize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-global.fastpaybrasil.com/v1/melhor-envio/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://melhorenvio.com.br/oauth/authorize?client_id=..."
}Melhor Envio
Build Melhor Envio OAuth authorize URL
Returns the URL the merchant must be redirected to in order to
authorize the FastPay integration on Melhor Envio. The merchant must
have already saved credentials via POST /v1/melhor-envio/credentials.
GET
/
v1
/
melhor-envio
/
oauth
/
authorize
Build Melhor Envio OAuth authorize URL
Authorizations
JWT Bearer token authentication. Use the JWT token obtained from the login endpoint in the Authorization header as 'Bearer {token}'.
Response
200 - application/json
Authorize URL built
Example:
"https://melhorenvio.com.br/oauth/authorize?client_id=..."